﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.GridView;

namespace ToolTipToRow
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            DataContext = (from c in Enumerable.Range(0, 10)
                           select new Item
                           {
                               ID = c,
                               Name = "Item " + c
                           }).ToList();
        }

        private void radGridView1_RowLoaded(object sender, Telerik.Windows.Controls.GridView.RowLoadedEventArgs e)
        {
             var row = e.Row as GridViewRow;
              if (row != null)
              {
                 ToolTip toolTip = new ToolTip()
                 {
                     Content = row.DataContext,
                     ContentTemplate = (DataTemplate) this.LayoutRoot.Resources["MyToolTip"]
                 };
                 ToolTipService.SetToolTip(row, toolTip);
              }
        }
        public class Item
        {
            public int ID { get; set; }
            public string Name { get; set; }

        }
    }
}
